--[[ Manual Cutting for Wodd Harvester
Author:	Ifko[nator] bearbeitet t0xic0m
Datum:	25.08.2015
Bearbeitungs Datum:	10.04.2016

Version:	v1
]]

Harvester = {};

function Harvester.prerequisitesPresent(specializations) 
    return SpecializationUtil.hasSpecialization(WoodHarvester, specializations);
end; 


function Harvester:load(xmlFile)
	WoodHarvester.onDelimbTree = Utils.overwrittenFunction(WoodHarvester.onDelimbTree, Harvester.NEWonDelimbTree);
	
	--self.cutMaxRadius = 0.68;

    --self.cutLengthMin = 1.20;
    --self.cutLengthMax = 18.20;
    --self.cutLengthStep = 1;
end;

function Harvester:delete()
end;

function Harvester:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Harvester:keyEvent(unicode, sym, modifier, isDown)
end;

function Harvester:NEWonDelimbTree(onDelimbTree, state) 
    self.isAttachedSplitShapeMoving = state;
    
	if not state then
		if InputBinding.hasEvent(InputBinding.IMPLEMENT_EXTRA2) then
			self:cutTree(0);
		end;
    end;
end;


function Harvester:update(dt)
end;

function Harvester:draw()
end;
